Skip to main content
POST
Book a freight quote

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

metadataId
integer
required

Freight shipment record ID

Body

application/json
quote_id
string
required

The quote's providerQuoteId.

schedule_pickup
boolean
default:true

Ask the carrier to schedule the pickup.

lum_status
enum<string>
default:shipped

Status of the Luminous shipment created by the booking.

Available options:
shipped,
pending

Response

Booked

data
object